The OpenNET Project / Index page

[ новости/++ | форум | wiki | теги ]

16.09.2014 17:16  Увидел свет пакетный менеджер RPM 4.12.0

Компания Red Hat объявила о выходе новой ветки пакетного менеджера RPM 4.12.0. Проект RPM4 развивается компанией Red Hat и используется в таких дистрибутивах, как RHEL (включая производные проекты CentOS, Scientific Linux, AsiaLinux, Red Flag Linux, Oracle Linux), Fedora, SUSE, openSUSE, ALT Linux, Mageia, PCLinuxOS, Tizen и многих других. Параллельно независимой командой разработчиков развивался проект RPM5, который непосредственно не связан с RPM4.

Наиболее заметные улучшения в RPM 4.12:

  • Поддержка размещения в пакетах файлов, размером более 4 Гб;
  • Поддержка тегов "suggests" "recommends" "supplements" и "enhances" для определения слабых зависимостей (weak dependency). Возможность автоматической генерации слабых зависимостей в rpmbuild;
  • Увеличена производительность генерации пакетов и формирования цифровых подписей;
  • Добавлена утилита rpm2archive для преобразования пакета в tar-архив;
  • Прекращена поддержка коллекций ("collections"), которые развивались в качестве экспериментальной возможности;
  • Новый программный интерфейс для создания плагинов. В состав выпуска включены плагины: systemd_inhibit, selinux и syslog. Для отключения всех плагинов предусмотрена опция "--noplugins";
  • Новый API для доступа к данным, находящимся в составе пакета;
  • Поддержка новых архитектур: m68k, Sparc Niagara, ARM v6 и ARM v7 (определение встроенного FPU);
  • В rpmdb добавлены опции "--exportdb" "--importdb" для экспорта и импорта БД;
  • Реализован новый режим "--reinstall", который нормально обрабатывает изменения состава файлов (например, при переустановке с опцией "--excludedocs");
  • Частичная поддержка многопоточности;
  • Большая порция внутренних изменений, проведение чистки кодовой базы.


  1. Главная ссылка к новости (http://lists.rpm.org/pipermail...)
Лицензия: CC-BY
Тип: Программы
Ключевые слова: rpm
При перепечатке указание ссылки на opennet.ru обязательно
Обсуждение Линейный вид | Ajax | Показать все | RSS
 
  • 1.1, pavlinux, 17:19, 16/09/2014 [ответить] [смотреть все]
  • +4 +/
    >слабых зависимостей необязательные возможности;

    Segmentation fault (сore dumped).

     
     
  • 2.12, Аноним, 20:53, 16/09/2014 [^] [ответить] [смотреть все] [показать ветку]
  • +/
    Новость совсем не вычитывалась, как я понял Запятые то лишние, то отстутствуют ... весь текст скрыт [показать] [показать ветку]
     
     
  • 3.24, pavlinux, 18:12, 17/09/2014 [^] [ответить] [смотреть все]  
  • +/
    1 Запятые-то 2 отсТутствуют - отсутствуют 3 лишние, то отстутствуют - это... весь текст скрыт [показать]
     
     
  • 4.26, Аноним, 10:33, 19/09/2014 [^] [ответить] [смотреть все]  
  • +/
    1. Запятые: то - лишние, то - отсутствуют.
     
  • 1.2, Pulfer, 17:32, 16/09/2014 [ответить] [смотреть все]  
  • +/
    > Проект RPM4 ... используется в таких дистрибутивах, как ... PLD Linux

    В PLD используется RPM5.

     
  • 1.3, V, 17:37, 16/09/2014 [ответить] [смотреть все]  
  • +3 +/
    А мне одному кажется, что новости, начинающиеся с "Увидел свет", постит один и тот же человек?
     
     
  • 2.5, pxel, 18:01, 16/09/2014 [^] [ответить] [смотреть все] [показать ветку]  
  • +/
    Увидел свет...
    ... в конце туннеля
     
     
  • 3.14, Аноним, 21:37, 16/09/2014 [^] [ответить] [смотреть все]  
  • +1 +/
    > ... в конце туннеля

    Хреново когда вы в тоннеле и электричка навстречу...

     
     
  • 4.20, Психиатр, 02:33, 17/09/2014 [^] [ответить] [смотреть все]  
  • –5 +/
    Then it comes to be that the soothing light at the end of your tunnel Is just a ... весь текст скрыт [показать]
     
  • 2.6, Аноним, 18:02, 16/09/2014 [^] [ответить] [смотреть все] [показать ветку]  
  • +1 +/
    Открою вам секрет, что здесь все неподписанные новости, а таких 99 , постит один... весь текст скрыт [показать] [показать ветку]
     
  • 1.4, Pulfer, 17:57, 16/09/2014 [ответить] [смотреть все]  
  • +/
    > Параллельно независимой командой разработчиков развивался проект RPM5,
    > который непосредственно не связан с RPM4 и не обновлялся уже более трёх лет.

    Регулярно обновляется. А последний релиз был меньше месяца назад:

    http://rpm5.org/files/rpm/rpm-5.4/

    rpm-5.4.15-0.20140824.src.rpm 24-Aug-2014 18:30

     
     
  • 2.8, Stax, 19:13, 16/09/2014 [^] [ответить] [смотреть все] [показать ветку]  
  • +2 +/
    Так python3 тоже обновляется Но все знают, какая версия на самом деле использ... весь текст скрыт [показать] [показать ветку]
     
  • 2.18, Анжелика, 00:31, 17/09/2014 [^] [ответить] [смотреть все] [показать ветку]  
  • +1 +/
    А хоть бы и так, эта поделка никому не интересна.
     
     
  • 3.19, Pulfer, 02:13, 17/09/2014 [^] [ответить] [смотреть все]  
  • +/
    Не интересно твоё мнение по этому вопросу, а факты, изложенные в новости, в любо... весь текст скрыт [показать]
     
  • 1.7, Аноним, 18:27, 16/09/2014 [ответить] [смотреть все]  
  • –5 +/
    --reinstall в 2014 году? мде как был убогим так и остался
     
     
  • 2.9, Stax, 19:30, 16/09/2014 [^] [ответить] [смотреть все] [показать ветку]  
  • +2 +/
    В прошлом году равно как и в позапрошлом, а также поза-поза-поза это просто ... весь текст скрыт [показать] [показать ветку]
     
  • 1.10, Аноним, 19:55, 16/09/2014 [ответить] [смотреть все]  
  • –3 +/
    Как в нём с поддержкой PackageKit?
     
     
  • 2.16, Аноним, 23:29, 16/09/2014 [^] [ответить] [смотреть все] [показать ветку]  
  • +/
    Никак, это бекенд, потому о поддержке должен волноваться сам packagekit
     
  • 2.29, Alexander, 16:07, 28/09/2014 [^] [ответить] [смотреть все] [показать ветку]  
  • +/
    В PackageKit новой версии бекенды для yum'а выброшены.
     
  • 1.11, анонимус, 20:02, 16/09/2014 [ответить] [смотреть все]  
  • +6 +/
    Ждём ебилдов.
     
  • 1.13, Аноним, 21:35, 16/09/2014 [ответить] [смотреть все]  
  • +/
    Где-то я это уже видел ... весь текст скрыт [показать]
     
     
  • 2.22, Moomintroll, 09:44, 17/09/2014 [^] [ответить] [смотреть все] [показать ветку]  
  • +3 +/
    >> Поддержка тегов "suggests" "recommends" "supplements" и "enhances"
    > Где-то я это уже видел... :)))

    В open(SUSE) с незапамятных времён.

     
  • 1.17, Анжелика, 00:30, 17/09/2014 [ответить] [смотреть все]  
  • –1 +/
    У меня только один вопрос - когда выйдет компонент packagectl для systemd, который заменит собой yum?
     
     
  • 2.23, Stax, 16:00, 17/09/2014 [^] [ответить] [смотреть все] [показать ветку]  
  • +/
    yum будет заменен на dnf. В федоре - в ближайшее время. Выше него универсальный PackageKit. Вроде никаких других сущностей пока не планируется.
     
  • 1.21, Nxx, 05:21, 17/09/2014 [ответить] [смотреть все]  
  • +/
    > Поддержка тегов "suggests" "recommends" "supplements" и "enhances" для определения слабых зависимостей (weak dependency).

    Это уже лет 10 поддерживается.

     
  • 1.25, Alex Samorukov, 01:15, 18/09/2014 [ответить] [смотреть все]  
  • +4 +/
    > Поддержка размещения в пакетах файлов, размером более 4 Гб;

    hard-porno-collection-release-el7-5.noarch.rpm

     
  • 1.27, Jagdpanzer E100, 19:35, 22/09/2014 [ответить] [смотреть все]  
  • +/
    m68k безусловно очень новая архитектура :)
     
  • 1.28, Аноним, 07:52, 23/09/2014 [ответить] [смотреть все]  
  • –1 +/
    когда уже в Linux добавят нормальную поддержку прокси из коробки Это такой ге... весь текст скрыт [показать]
     

     Добавить комментарий
    Имя:
    E-Mail:
    Заголовок:
    Текст:


      Закладки на сайте
      Проследить за страницей
    Created 1996-2017 by Maxim Chirkov  
    ДобавитьРекламаВебмастеруГИД  
    Hosting by Ihor